Subject: Re: bug#69254: 14.0.2; outline-hide-body doesn't work when called in LaTeX-mode-hook

From: Arash Esbati <[email-masked]>
Date: Thu, 22 Feb 2024 14:35:49 +0100

Ikumi Keita <[email-masked]> writes:

> I feel a bit reluctant about that idea since it doesn't recognize the
> customized section commands defined in file local variables. In that
> case, the user has to do by oneself either of the following
> alternatives:
> 1. Defer the call to `outline-hide-body' after parsing file local vars.
> 2. Add parsing file local vars (at least for `LaTeX-section-list')
>    explicitly before calling `outline-minor-mode'. 
>
> But maybe we can ignore such corner case.

I think that "customized section commands defined in file local
variables" is more a corner case than enabling `outline-minor-mode' via
`LaTeX-mode-hook'; and we a have recipe for former if needed.  So it's
up to us to make a decision here: there will be unhappy customers, but
how many?  ;-)

Best, Arash